#' Test data
#'
#' Sample of fully anomymized webtrack data from a research project with US participants
"testdt_tracking"

#' Test survey
#'
#' Randomly generated survey data only used for illustrative purposes (wide format)
"testdt_survey_w"

#' Test survey
#'
#' Same randomly generated survey data, one row per person/wave (long format)
"testdt_survey_l"

#' News Types
#'
#' Classification of domains into different news types
#' @references
#'  Stier, S., Mangold, F., Scharkow, M., & Breuer, J. (2022). Post Post-Broadcast Democracy? News Exposure in the Age of Online Intermediaries. American Political Science Review, 116(2), 768-774.
"news_types"

#' Domain list
#' classification of domains into news,portals, search, and social media
#' @references
#'  Stier, S., Mangold, F., Scharkow, M., & Breuer, J. (2022). Post Post-Broadcast Democracy? News Exposure in the Age of Online Intermediaries. American Political Science Review, 116(2), 768-774.
"domain_list"

#' Bakshy Top500
#' Ideological alignment of 500 domains based on facebook data
#' @references Bakshy, Eytan, Solomon Messing, and Lada A. Adamic. "Exposure to ideologically diverse news and opinion on Facebook." Science 348.6239 (2015): 1130-1132.
"bakshy"

#' Fake data
#'
#' Small fake webtracking data for testing purpose
"fake_tracking"
